#
# spec file for package fdpp
#

Name: fdpp
Version: 0.0.git.1621.dd55be9e
Release: 1%{?dist}
Summary: 64-bit DOS core

Group: System/Emulator

License: GPLv3+
URL: https://github.com/dosemu2/fdpp
VCS: git+https://github.com/dosemu2/fdpp.git#dd55be9e737f0d66d6df3e62d094a281ea9aa433:
Source0: fdpp-git.tar.gz

BuildRequires: meson >= 1.3.2
BuildRequires: sed
BuildRequires: bash
BuildRequires: clang
BuildRequires: nasm-segelf
BuildRequires: binutils
BuildRequires: binutils-x86_64-linux-gnu
BuildRequires: coreutils
BuildRequires: libstdc++-devel
BuildRequires: elfutils-libelf-devel
BuildRequires: thunk-gen
BuildRequires: git
BuildRequires: pkgconf-pkg-config

%description
fdpp is a 64-bit DOS core.
It is based on a FreeDOS kernel ported to modern C++.

%prep
%setup -T -b 0 -q -n fdpp

%global toolchain clang

%build
./configure.meson --prefix %{_prefix} --libdir %{_libdir} build
meson compile --verbose -C build %{?_smp_mflags}

%check

%install
meson install -C build --destdir %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/fdpp/*.so.*
%{_datadir}/fdpp

%package devel
Summary: fdpp development headers
Requires: fdpp
%description devel
This package contains headers for fdpp usage.

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/fdpp.pc
%{_libdir}/fdpp/*.so
%{_includedir}/fdpp

%changelog
